#if 0
int strlen(const char* str)
{
  register int count;
  for (count = 0; *str != '\0'; count++, str++) ;
  return count;
}
#else /* better optimisation */
int strlen(const char* str)
{
  register int count = 0;
  while (!(*str++ == 0)) count++;
  return count;
}
#endif
